
Redmine - Defect #9586

config/configuration.yml.example neds more help

2011-11-16 19:14 - Dave Carlton

Status: Closed Start date: 2011-11-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    
Description

Took me hours to figure out the YML is sensitive to tabs. A simple warning in the header would save countless time. Also, the gmail

example does not work as describe. Submitting a diff of suggested changes.

diff --git a/config/configuration.yml.example b/config/configuration.yml.example

index 63c02d2..9020edb 100644

--- a/config/configuration.yml.example

+++ b/config/configuration.yml.example

@@ -5,6 +5,7 @@

 # Environment specific configuration options override the default ones.

 #

 # Note that this file needs to be a valid YAML file.

+# DO NOT USE TABS! Spaces only please.

 #

 # == Outgoing email settings (email_delivery setting)

 #

@@ -60,7 +61,8 @@

 #   email_delivery:

 #     delivery_method: :smtp

 #     smtp_settings:

-#       tls: true

+#       ssl: true

+#       enable_starttls_auto: true

 #       address: "smtp.gmail.com" 

 #       port: 587

 #       domain: "smtp.gmail.com" # 'your.domain.com' for GoogleApps

Associated revisions

Revision 7832 - 2011-11-18 18:10 - Jean-Philippe Lang

Adds a warning about tabs in configuration file (#9586).

Revision 7833 - 2011-11-18 18:22 - Jean-Philippe Lang

Adds enable_starttls_auto option to gmail example (#9586).

History

#1 - 2011-11-18 18:25 - Jean-Philippe Lang

- Status changed from New to Closed

Changes applied, except tls => ssl (tested OK with tls).

Powered by TCPDF (www.tcpdf.org)

2024-04-10 1/1

http://www.tcpdf.org

